Subject: bug#56789: 28.1.90; Emoji composition problems with Harfbuzz 5.0.1-1

From: Simon Pugnet <[email-masked]>
Date: Wed, 27 Jul 2022 09:01:15 +0000

Simon Pugnet <[email-masked]> writes:

> "Robert Pluim" <[email-masked]> writes:
>
>> What does hb-view show? Something like
>>
>> hb-view  --output-file=foo.svg --font-size=13 \
>> /usr/share/fonts/truetype/noto/NotoColorEmoji.ttf \
>> -u 1f469,200d,2764,fe0f,200d,1f468
>>
>> and then display foo.svg
>
> That highlighted a missing shared library: -
>
>  hb-view: error while loading shared libraries: libchafa.so.0:
>  cannot
>  open shared object file: No such file or directory
>
> I searched through Arch's package repository and found: -
>
>  $ pacman -Ss chafa
>  community/chafa 1.12.0-1
>      Image-to-text converter supporting a wide range of symbols and
>      palettes, transparency, animations, etc.
>
> I installed this and then hb-view started working. The output was as
> I'd expect: a properly composed image. I restarted Emacs however the
> same problem persists. Perhaps I need to rebuild Emacs so I'll try
> that in a bit.
>
> If that fixes it then it looks like the Arch harfbuzz package now
> depends on chafa, however it is not listed as a dependency. That
> would
> then be a bug with the Arch packaging I think.
>
> Thanks for your help!

Following up on this, rebuilding Emacs didn't help. I also used
LD_DEBUG while running Emacs and I cannot see any reference to chafa,
so perhaps that was only a dependency for hb-view and not harfbuzz
itself? I also looked through the LD_DEBUG output and I couldn't see
anything that looked like a problem (e.g. missing harfbuzz symbols).

Kind regards,

--
Simon Pugnet
https://www.polaris64.net/